6.0.0-git
2019-03-20

[#8540] vcard import: use N instead of FN for name import
Summary vcard import: use N instead of FN for name import
Queue Turba
Queue Version 2.3.1
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester brot (at) gmx (dot) info
Created 2009-08-28 (3491 days ago)
Due
Updated 2009-09-10 (3478 days ago)
Assigned
Resolved 2009-08-30 (3489 days ago)
Milestone 2.3.2
Patch No

History
2009-09-10 21:25:51 brot (at) gmx (dot) info Comment #3 Reply to this comment
This had already been fixed in CVS.
Is there any scheduled date for the next release?

I am using the latest turba release with version 2.3.1 from December 
10 2008 included in the Horde Groupware Webmail Edition 1.2.2.

Are these changes in the version 1.2.3 from the Webmail Edition available?



The latest Changes file doesn't cover the changes from the versions 
1.2.2 and 1.2.3:

http://www.horde.org/webmail/docs/?f=CHANGES.html


2009-08-30 12:10:45 Jan Schneider Comment #2
Assigned to Jan Schneider
State ⇒ Resolved
Milestone ⇒ 2.3.2
Reply to this comment
This had already been fixed in CVS.
2009-08-28 15:46:46 brot (at) gmx (dot) info Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ vcard import: use N instead of FN for name import
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
Why do you use the FN field for importing a name from a vcard contact 
instead of N?



Today I imported a vcard file into my horde addressbook:

N:Lastname;Firstname;;;



FN:Lastname, Firstname



After the import the value of "turba_objects.object_firstname" was "Lastname,"

the value of "turba_objects.object_lastname" was "Firstname"



RFC 2426 (http://www.ietf.org/rfc/rfc2426.txt) defines a name order 
for the N Attribute (3.1.2). But there is no order for the FN 
attribute (3.1.1)


Saved Queries